Skip to content

Create Refund or Passive Offer
deprecated

Request

Security
bearerAuth
Path
ReservationResource_Identifierstring, <= 128 charactersrequired

The Reservation Identifier

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
Query
offerTypestring(OfferTypeENUM)

Specifies the type of Offer that is being created

Enum:"AgencyCalculatedExchange""AgencyCalculatedRefund"
Example:offerType=AgencyCalculatedRefund
offerIdentifierstring, <= 32 characters

The offer ID you wish to refund or exchange. Use when multiple offers exist within a reservation.

Example:offerIdentifier=offer_1
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/json

Deprecated.

@typestringrequired

Discriminator

  • Air Price child classes OfferID, Offer, and OfferUpsell.
  • Reservation and ReservationWorkbench child classes OfferID, Offer, OfferModify, and OfferUpsell.
  • Hotel Rules child classes OfferID and Offer.
Value:"Offer"
Example:"Offer"
Discriminator
idstring

Offer identifier sent in the reference payload request to book that offer. Not returned in the full payload response; this is the only difference in the two responses.

Example:"offer_1"
offerRefstring

Used to reference another instance of this object in the same message

Example:"offer_1"
Identifierobject(Identifier)

A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

ContentSourcestring(ContentSourceEnum)

Indicates the owner the offer or document.

Enum ValueDescription
GDS

Use for GDS only sourced transactions. When returned in a response, identified by the value Travelport in Identifier/authority.

NDC

Use for NDC only sourced transactions. When returned in a response, identified by the NDC carrier in Identifier/authority.

LCC

Use for LCC only sourced transactions.

API

Use for all other API sourced transactions including NDC and LCC.

Example:"GDS"
parentOfferRefstring

A reference to the Offer this offer is sold in conjunction with

Example:"offer_1"
offerModifyRefstring

Reference to the new Offer created as a result of this Offer being subject to a schedule change.

ProductArray of objects, [ 1 .. 100 ] items(ProductID)required

Lists the flight or flights for one leg of the itinerary. Repeats for additional leg or legs.

Priceobject(Price)required
TermsAndConditionsFullArray of objects, [ 1 .. 100 ] items(TermsAndConditionsFullID)

For Hotel Rules and Reservation responses, this array will contain a single TermsAndConditionsFullHospitality entry. Cancellation terms with multiple time periods are represented within that entry's CancelPenalty array rather than as multiple TermsAndConditionsFull entries.
For Two-Step Commit (FLights), this is a standard object, no changes.
For Unified Checkout (Flights), if no payment information was sent in the request, the booking is confirmed by the airline but not yet ticketed. This object provides the payment and ticketing time limits in ExpiryDate and PaymentTimeLimit.

passiveOfferIndboolean

Indicates aggregator segment built into PNR. Always send with true when using in a request. If returned true in a response, the Offer is passive for booking purposes.

Example:true
scheduleChangeIndboolean
  • If true: this Offer is subject to a schedule change.
    May be seen in a Two-step Commit, on the first Commit response payload, in the event of a schedule change. If this is the case, the Product object returns previous and updated schedule details in two instances of Product/FlightSegment as follows:

    • The previous flight segment is identified with sequence=1 and Flight/id=flight_1

    • The updated flight segment is identified with sequence=2 and Flight/id=flight_2

Offer includes a ModifyPrice object; however, unless a price change has also occurred, Offer/Price repeats the original price of the offer and Offer/ModifyPrice returns all amounts as zero (0) to indicate there is no price change.

NDC only - for Reservation Retrieve, when an airline-initiated flight change has occurred, the response also returns the Offer object with @type OfferModify and scheduleChangeInd=true to indicate a change has occurred. See NDC Flight Disruption Handing in the Air Booking Guide for details.

curl -i -X POST \
  'https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/offers?offerType=AgencyCalculatedRefund&offerIdentifier=offer_1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

Created - 201

Bodyapplication/json
OfferListResponseobject(OfferListResponse)

The response of an Offer list endpoint request, such as AirPrice and Add Offer calls.
Defines one or more air offers returned including the offer identifiers and related response data needed for subsequent booking steps.

Response
{ "OfferListResponse": { "OfferID": [ null ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }